org.apache.mina.filter.codec

## Interface ProtocolCodecFactory

- All Known Implementing Classes:
    DemuxingProtocolCodecFactory, ImageCodecFactory, ObjectSerializationCodecFactory, PrefixedStringCodecFactory, SumUpProtocolCodecFactory, TextLineCodecFactory

      public interface ProtocolCodecFactory

  Provides `ProtocolEncoder` and `ProtocolDecoder` which translates binary or protocol specific data into message object and vice versa.

  Please refer to `ReverserProtocolProvider` example.

  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolDecoder` | `getDecoder(IoSession session)` Returns a new (or reusable) instance of `ProtocolDecoder` which decodes binary or protocol-specific data into message objects.
    `ProtocolEncoder` | `getEncoder(IoSession session)` Returns a new (or reusable) instance of `ProtocolEncoder` which encodes message objects into binary or protocol-specific data.

- - ### Method Detail

    - #### getEncoder

          ProtocolEncoder getEncoder(IoSession session)
                                     throws Exception

      Returns a new (or reusable) instance of `ProtocolEncoder` which encodes message objects into binary or protocol-specific data.
      Throws:
        `Exception`

    - #### getDecoder

          ProtocolDecoder getDecoder(IoSession session)
                                     throws Exception

      Returns a new (or reusable) instance of `ProtocolDecoder` which decodes binary or protocol-specific data into message objects.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.